#version 300 es

       /*         +------------------------------------------------------+ 
  ____/  \____   /| - Open source game framework licensed to freely use, |
  \          /  / |   copy, modify and sell without restriction          |
+--\ ^__^   /--+  |                                                      |
| ~/        \~ |  | - created for <https://foam.shampoo.ooo>             |
| ~~~~~~~~~~~~ |  +------------------------------------------------------+
| SPACE ~~~~~  | /
|  ~~~~~~~ BOX |/
+-------------*/

/* The precision declaration is required by OpenGL ES */
precision mediump float;

in vec3 in_Position;
in vec3 in_Color;
in vec2 vertexUV;

out vec4 ex_Color;
out vec2 UV;

uniform mat4 MVP;

void main(void)
{
    gl_Position = MVP * vec4(in_Position, 1);
    ex_Color = vec4(in_Color, 1);
    UV = vertexUV;
}
